package com.yuchen.saas.parking.api.enums;

import lombok.AllArgsConstructor;

/**
 * @Author 蔡文强
 * @Date 2023/5/25 15:56
 * @Description 优惠资金类型枚举信息
 */
@AllArgsConstructor
public enum CouponFundTypeEnum {

    VIRTUAL_FUND(1, "虚拟额度"),
    RECHARGE_FUND(2, "充值资金"),
    ;

    private Integer code;

    public Integer getCode() {
        return code;
    }

    public String getDescription() {
        return description;
    }

    private String description;

    public static String getDescByCode(Integer code) {
        CouponFundTypeEnum[] enumArray = CouponFundTypeEnum.values();
        for (CouponFundTypeEnum e : enumArray) {
            if (e.getCode().equals(code)) {
                return e.getDescription();
            }
        }
        return "";
    }
}
